Bug 734548 - Label not created for biosboot partition
Summary: Label not created for biosboot partition
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 18:07 UTC by Andrew McNabb
Modified: 2011-09-01 15:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-30 20:09:50 UTC


Attachments (Terms of Use)

Description Andrew McNabb 2011-08-30 18:07:19 UTC
In Fedora 16, GPT is used by default, so creating a biosboot partition is mandatory.  Unfortunately, Anaconda does not seem to add a recognizable label to the biosboot partition.

In a kickstart script, I used the option:

part biosboot --fstype=biosboot --ondisk=sda --size=1 --label=biosboot

I then looked at /dev/disk/by-label, but there is no "biosboot" partition listed.  Unfortunately, this means that a subsequent install fails to work with the following kickstart option:

part biosboot --fstype=biosboot --onpart=LABEL=biosboot

The error is: "Specified nonexistent partition LABEL=biosboot in partition command".

Since Anaconda does not guarantee that partitions are created in any particular order, the only valid way to reinstall without repartitioning is to use labels.  It is essential that the biosboot partition either has a working label or is guaranteed to be the first partition on the disk.

Comment 1 David Lehman 2011-08-30 20:09:50 UTC
BIOS boot partitions cannot have labels. A label is a feature of a filesystem and there is no filesystem on a bios boot partition.

The only way to identify a BIOS boot partition is to check for the bios_grub flag using parted or some other partitioning utility.

If you have a bios boot partition on your disk anaconda should not complain that you didn't mention it in your kickstart.

Comment 2 Andrew McNabb 2011-08-30 20:18:37 UTC
(In reply to comment #1)
> 
> If you have a bios boot partition on your disk anaconda should not complain
> that you didn't mention it in your kickstart.

That's really good to know.  I'll update documentation to share this critical information.

Comment 3 David Lehman 2011-08-31 21:12:18 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > 
> > If you have a bios boot partition on your disk anaconda should not complain
> > that you didn't mention it in your kickstart.
> 
> That's really good to know.  I'll update documentation to share this critical
> information.

Your zeal is appreciated, but take it easy. This information belongs in the install guide, so wherever you added it may be somewhere it does not belong.

Comment 4 Andrew McNabb 2011-09-01 15:57:21 UTC
(In reply to comment #3)
> 
> Your zeal is appreciated, but take it easy. This information belongs in the
> install guide, so wherever you added it may be somewhere it does not belong.

I hope I didn't put it in a bad place, but it's better for it to be _somewhere_ than nowhere.  As you can tell, I've struggled with the GPT change because of the complete lack of any documentation or communication about the issue.  It still doesn't have a feature page, and I haven't seen any sign of release notes.  I'm not against the change from MBR to GPT, but it really is a significant change.


Note You need to log in before you can comment on or make changes to this bug.